## bdii 5.1.7

=== Makefile ===
NAME= $(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//' )
VERSION= $(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//' )
RELEASE= $(shell grep Release: *.spec |cut -d"%" -f1 |sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")

default: 
	@echo "Nothing to do"

install:
	@echo installing ...
	@mkdir -p $(prefix)/usr/sbin/
	@mkdir -p $(prefix)/var/lib/bdii/gip/ldif/
	@mkdir -p $(prefix)/var/lib/bdii/gip/provider/
	@mkdir -p $(prefix)/var/lib/bdii/gip/plugin/
	@mkdir -p $(prefix)/opt/glite/etc/gip/ldif/
	@mkdir -p $(prefix)/opt/glite/etc/gip/provider/
	@mkdir -p $(prefix)/opt/glite/etc/gip/plugin/
	@mkdir -p $(prefix)/opt/bdii/etc/
	@mkdir -p $(prefix)/etc/bdii/
	@mkdir -p $(prefix)/etc/init.d/
	@mkdir -p $(prefix)/etc/logrotate.d/
	@mkdir -p $(prefix)/etc/cron.d/
	@mkdir -p $(prefix)/var/log/bdii/
	@mkdir -p $(prefix)/usr/share/doc/bdii/

	@install -m 0755 etc/init.d/bdii      $(prefix)/etc/init.d/
	@install -m 0755 bin/bdii-update      $(prefix)/usr/sbin/
	@install -m 0755 bin/bdii-proxy       $(prefix)/usr/sbin/
	@install -m 0644 etc/bdii.conf	      $(prefix)/opt/bdii/etc/
	@install -m 0644 etc/BDII.schema     $(prefix)/etc/bdii/
	@install -m 0644 etc/bdii-slapd.conf  $(prefix)/etc/bdii/
	@install -m 0644 etc/DB_CONFIG        $(prefix)/etc/bdii/
	@install -m 0644 etc/default.ldif     $(prefix)/var/lib/bdii/gip/ldif/
	@install -m 0644 etc/default.ldif     $(prefix)/opt/glite/etc/gip/ldif/
	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
	@install -m 0644 etc/cron.d/bdii-proxy $(prefix)/etc/cron.d

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".svn" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).tar.gz .

deb: dist
	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -

prepare: dist
	@mkdir -p  $(build)/RPMS/noarch
	@mkdir -p  $(build)/SRPMS/
	@mkdir -p  $(build)/SPECS/
	@mkdir -p  $(build)/SOURCES/
	@mkdir -p  $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES 

srpm: prepare
	@rpmbuild -bs --define='_topdir ${build}' $(NAME).spec

rpm: srpm
	@rpmbuild --rebuild  --define='_topdir ${build} ' $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm

clean:
	rm -f *~ $(NAME)-$(VERSION).tar.gz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
bdii (5.1.7-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 19 Jun 2010 02:45:47 +0200

bdii (5.0.8+460-1) unstable; urgency=low

  * Update - svn revision 436 (Closes: #571732)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 25 Mar 2010 11:42:52 +0100

bdii (5.0.8+443-1) UNRELEASED; urgency=low

  * Updated packaging etc - svn revision 443

 -- Daniel Johansson <daniel@nsc.liu.se>  Thu, 25 Feb 2010 16:58:51 +0100

bdii (5.0.8+436-1) UNRELEASED; urgency=low

  * Update - svn revision 436

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2010 09:07:50 +0100

bdii (5.0.8+375-1) UNRELEASED; urgency=low

  * Initial release - svn revision 375

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 08 Feb 2010 16:27:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

configure: configure-stamp

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	touch $@

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f debian/bdii.init
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install prefix=debian/bdii
	mv debian/bdii/etc/init.d/bdii debian/bdii.init

	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
	slapd_moduleload="moduleload      back_bdb" ; \
	sed -e "/allow bind_v2/i$${slapd_modulepath}\n$${slapd_moduleload}" \
	    -e "s!etc/openldap/schema!etc/ldap/schema!" \
	    -i debian/bdii/etc/bdii/bdii-slapd.conf ; \

	sed "s/BDII_USER=.*/BDII_USER=openldap/" \
	    -i debian/bdii/etc/bdii/bdii.conf

binary-arch:
#	:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_install
	dh_installman
	dh_installinit
	dh_compress
	dh_fixperms
	dh_perl
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../bdii_5.1.7.orig.tar.gz ] ; then \
	  echo "bdii_5.1.7.orig.tar.gz already exists." ; \
	else \
	  if [ -d "bdii-5.1.7" ]; then \
	    echo "Please remove existing directory 'bdii-5.1.7'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_1_7 \
	    bdii-5.1.7 ; \
	  echo "Packing it up." ; \
	  GZIP=-9 tar --exclude=.svn -z -c -f ../bdii_5.1.7.orig.tar.gz \
	    bdii-5.1.7 ; \
	  echo "Cleaning up." ; \
	  rm -rf bdii-5.1.7 ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## bdii 5.1.9

=== debian/changelog ===
bdii (5.1.9-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 23 Sep 2010 19:46:28 +0200

bdii (5.1.8-2) unstable; urgency=low

  * Forgot to update the get-orig-source script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Sep 2010 20:15:29 +0200

bdii (5.1.8-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Sep 2010 14:15:40 +0200

=== debian/control ===
Source: bdii
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, python-support
Standards-Version: 3.8.4
Homepage: https://twiki.cern.ch/twiki/bin/view/EGEE/BDII
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/bdii
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/bdii
DM-Upload-Allowed: yes

Package: bdii
Architecture: all
Depends: slapd, ldap-utils, glue-schema, whois, globus-proxy-utils, ${misc:Depends}, ${python:Depends}
Suggests: logrotate
Description: The Berkeley Database Information Index (BDII)
 The Berkeley Database Information Index (BDII) consists of a standard
 LDAP database which is updated by an external process. The update process
 obtains LDIF from a number of sources and merges them. It then compares
 this to the contents of the database and creates an LDIF file of the
 differences. This is then used to update the database.

=== debian/rules ===
--- 
+++ 
@@ -63,21 +63,21 @@
 	:
 
 get-orig-source:
-	if [ -r ../bdii_5.1.7.orig.tar.gz ] ; then \
-	  echo "bdii_5.1.7.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.1.9.orig.tar.gz ] ; then \
+	  echo "bdii_5.1.9.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.1.7" ]; then \
-	    echo "Please remove existing directory 'bdii-5.1.7'" ; \
+	  if [ -d "bdii-5.1.9" ]; then \
+	    echo "Please remove existing directory 'bdii-5.1.9'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_1_7 \
-	    bdii-5.1.7 ; \
+	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_1_9 \
+	    bdii-5.1.9 ; \
 	  echo "Packing it up." ; \
-	  GZIP=-9 tar --exclude=.svn -z -c -f ../bdii_5.1.7.orig.tar.gz \
-	    bdii-5.1.7 ; \
+	  GZIP=-9 tar --exclude=.svn -z -c -f ../bdii_5.1.9.orig.tar.gz \
+	    bdii-5.1.9 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.1.7 ; \
+	  rm -rf bdii-5.1.9 ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## bdii 5.2.3

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,8 @@
 	@mkdir -p $(prefix)/var/lib/bdii/gip/ldif/
 	@mkdir -p $(prefix)/var/lib/bdii/gip/provider/
 	@mkdir -p $(prefix)/var/lib/bdii/gip/plugin/
-	@mkdir -p $(prefix)/opt/glite/etc/gip/ldif/
-	@mkdir -p $(prefix)/opt/glite/etc/gip/provider/
-	@mkdir -p $(prefix)/opt/glite/etc/gip/plugin/
-	@mkdir -p $(prefix)/opt/bdii/etc/
 	@mkdir -p $(prefix)/etc/bdii/
+	@mkdir -p $(prefix)/etc/sysconfig/
 	@mkdir -p $(prefix)/etc/init.d/
 	@mkdir -p $(prefix)/etc/logrotate.d/
 	@mkdir -p $(prefix)/etc/cron.d/
@@ -25,14 +22,15 @@
 	@mkdir -p $(prefix)/usr/share/doc/bdii/
 
 	@install -m 0755 etc/init.d/bdii      $(prefix)/etc/init.d/
+	@install -m 0755 etc/sysconfig/bdii   $(prefix)/etc/sysconfig/
 	@install -m 0755 bin/bdii-update      $(prefix)/usr/sbin/
 	@install -m 0755 bin/bdii-proxy       $(prefix)/usr/sbin/
-	@install -m 0644 etc/bdii.conf	      $(prefix)/opt/bdii/etc/
+	@install -m 0644 etc/bdii.conf	      $(prefix)/etc/bdii/
 	@install -m 0644 etc/BDII.schema     $(prefix)/etc/bdii/
-	@install -m 0644 etc/bdii-slapd.conf  $(prefix)/etc/bdii/
+	@install -m 0640 etc/bdii-slapd.conf  $(prefix)/etc/bdii/
+	@install -m 0640 etc/bdii-top-slapd.conf  $(prefix)/etc/bdii/
 	@install -m 0644 etc/DB_CONFIG        $(prefix)/etc/bdii/
 	@install -m 0644 etc/default.ldif     $(prefix)/var/lib/bdii/gip/ldif/
-	@install -m 0644 etc/default.ldif     $(prefix)/opt/glite/etc/gip/ldif/
 	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
 	@install -m 0644 etc/cron.d/bdii-proxy $(prefix)/etc/cron.d

=== debian/changelog ===
bdii (5.2.3-2) unstable; urgency=low

  * Revert upstream hack that breaks ARC infosys

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Jun 2011 12:04:04 +0200

bdii (5.2.3-1) unstable; urgency=low

  * New upstream release
  * drop patches accepted upstream: bdii-paths.patch, bdii-runuser.patch,
    bdii-context.patch, bdii-shadowerr.patch, bdii-sysconfig.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 14 Jun 2011 11:09:13 +0200

bdii (5.1.13-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Jan 2011 21:29:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

configure: configure-stamp

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	touch $@

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f debian/bdii.init
	rm -f debian/bdii.default
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=debian/bdii
	mv debian/bdii/etc/init.d/bdii debian/bdii.init
	sed -e 's!/lock/subsys!/lock!' -e 's/: "/"/' -i debian/bdii.init
	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default

	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
	slapd_moduleload="moduleload      back_hdb" ; \
	sed -e "/allow bind_v2/i$${slapd_modulepath}\n$${slapd_moduleload}" \
	    -e "s!etc/openldap/schema!etc/ldap/schema!" \
	    -i debian/bdii/etc/bdii/bdii-slapd.conf \
	       debian/bdii/etc/bdii/bdii-top-slapd.conf

	sed "s/BDII_USER=.*/BDII_USER=openldap/" \
	    -i debian/bdii/etc/bdii/bdii.conf

binary-arch:
#	:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_install
	dh_installman
	dh_installinit
	dh_lintian
	dh_compress
	dh_fixperms -X .conf
	dh_perl
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../bdii_5.2.3.orig.tar.gz ] ; then \
	  echo "bdii_5.2.3.orig.tar.gz already exists." ; \
	else \
	  if [ -d "bdii-5.2.3" ]; then \
	    echo "Please remove existing directory 'bdii-5.2.3'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_3 \
	    bdii-5.2.3 ; \
	  echo "Packing it up." ; \
	  tar --exclude=.svn -z -c -f ../bdii_5.2.3.orig.tar.gz \
	    bdii-5.2.3 ; \
	  echo "Cleaning up." ; \
	  rm -rf bdii-5.2.3 ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## bdii 5.2.4

=== debian/changelog ===
bdii (5.2.4-1) unstable; urgency=low

  * New upstream release
  * Drop patch accepted upstream: bdii-mdsvo.patch
  * Move large files away from /var/run in order not to fill /run partition

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 15 Aug 2011 09:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), quilt, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: https://twiki.cern.ch/twiki/bin/view/EGEE/BDII
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/bdii
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/bdii
@@ -11,9 +11,10 @@
 
 Package: bdii
 Architecture: all
+Replaces: bdii4
 Depends: slapd, ldap-utils, glue-schema, whois, globus-proxy-utils, ${misc:Depends}, ${python:Depends}
 Suggests: logrotate
-Description: The Berkeley Database Information Index (BDII)
+Description: Berkeley Database Information Index (BDII)
  The Berkeley Database Information Index (BDII) consists of a standard
  LDAP database which is updated by an external process. The update process
  obtains LDIF from a number of sources and merges them. It then compares

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 	dh_installdirs
 	$(MAKE) install prefix=debian/bdii
 	mv debian/bdii/etc/init.d/bdii debian/bdii.init
-	sed -e 's!/lock/subsys!/lock!' -e 's/: "/"/' -i debian/bdii.init
 	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default
 
 	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
@@ -68,21 +67,21 @@
 	:
 
 get-orig-source:
-	if [ -r ../bdii_5.2.3.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.3.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.4.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.4.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.3" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.3'" ; \
+	  if [ -d "bdii-5.2.4" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.4'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
 	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_3 \
-	    bdii-5.2.3 ; \
+	    bdii-5.2.4 ; \
 	  echo "Packing it up." ; \
-	  tar --exclude=.svn -z -c -f ../bdii_5.2.3.orig.tar.gz \
-	    bdii-5.2.3 ; \
+	  tar --exclude=.svn -z -c -f ../bdii_5.2.4.orig.tar.gz \
+	    bdii-5.2.4 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.3 ; \
+	  rm -rf bdii-5.2.4 ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## bdii 5.2.5

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,12 @@
 	@mkdir -p $(prefix)/etc/sysconfig/
 	@mkdir -p $(prefix)/etc/init.d/
 	@mkdir -p $(prefix)/etc/logrotate.d/
-	@mkdir -p $(prefix)/etc/cron.d/
 	@mkdir -p $(prefix)/var/log/bdii/
-	@mkdir -p $(prefix)/usr/share/doc/bdii/
+	@mkdir -p $(prefix)/usr/share/man/man1
 
 	@install -m 0755 etc/init.d/bdii      $(prefix)/etc/init.d/
 	@install -m 0755 etc/sysconfig/bdii   $(prefix)/etc/sysconfig/
 	@install -m 0755 bin/bdii-update      $(prefix)/usr/sbin/
-	@install -m 0755 bin/bdii-proxy       $(prefix)/usr/sbin/
 	@install -m 0644 etc/bdii.conf	      $(prefix)/etc/bdii/
 	@install -m 0644 etc/BDII.schema     $(prefix)/etc/bdii/
 	@install -m 0640 etc/bdii-slapd.conf  $(prefix)/etc/bdii/
@@ -32,7 +30,7 @@
 	@install -m 0644 etc/DB_CONFIG        $(prefix)/etc/bdii/
 	@install -m 0644 etc/default.ldif     $(prefix)/var/lib/bdii/gip/ldif/
 	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
-	@install -m 0644 etc/cron.d/bdii-proxy $(prefix)/etc/cron.d
+	@install -m 0644 man/bdii-update.1        $(prefix)/usr/share/man/man1/
 
 dist:
 	@mkdir -p  $(build)/$(NAME)-$(VERSION)/

=== debian/changelog ===
bdii (5.2.5-2) unstable; urgency=low

  * Remove obsolete cron script left behind by dpkg (Closes: #642589)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Sep 2011 07:44:09 +0200

bdii (5.2.5-1) unstable; urgency=low

  * New upstream release (Closes: #630493)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 04 Sep 2011 19:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: bdii
 Architecture: all
 Replaces: bdii4
-Depends: slapd, ldap-utils, glue-schema, whois, globus-proxy-utils, ${misc:Depends}, ${python:Depends}
+Depends: slapd, ldap-utils, glue-schema, whois, ${misc:Depends}, ${python:Depends}
 Suggests: logrotate
 Description: Berkeley Database Information Index (BDII)
  The Berkeley Database Information Index (BDII) consists of a standard

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 	dh_testdir
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+
+build-indep: build-stamp
+
+build-arch: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -67,21 +71,21 @@
 	:
 
 get-orig-source:
-	if [ -r ../bdii_5.2.4.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.4.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.5.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.5.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.4" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.4'" ; \
+	  if [ -d "bdii-5.2.5" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.5'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_3 \
-	    bdii-5.2.4 ; \
+	  svn co http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_5_2 \
+	    bdii-5.2.5 ; \
 	  echo "Packing it up." ; \
-	  tar --exclude=.svn -z -c -f ../bdii_5.2.4.orig.tar.gz \
-	    bdii-5.2.4 ; \
+	  tar --exclude=.svn -z -c -f ../bdii_5.2.5.orig.tar.gz \
+	    bdii-5.2.5 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.4 ; \
+	  rm -rf bdii-5.2.5 ; \
 	fi
 
-.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## bdii 5.2.12

=== debian/changelog ===
bdii (5.2.12-1) unstable; urgency=high

  * New upstream release
  * Move bdii slapd config files out of /etc (Closes: #663444)
  * Urgency high due to fixing RC bug

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Jul 2012 11:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, python-support
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), python
+Standards-Version: 3.9.3
 Homepage: https://twiki.cern.ch/twiki/bin/view/EGEE/BDII
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/bdii
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/bdii

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch:

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/bdii.init
	rm -f debian/bdii.default
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=debian/bdii
	mv debian/bdii/etc/init.d/bdii debian/bdii.init
	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default

	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
	slapd_moduleload="moduleload      back_hdb" ; \
	sed -e "/allow bind_v2/i$${slapd_modulepath}\n$${slapd_moduleload}" \
	    -e "s!etc/openldap/schema!etc/ldap/schema!" \
	    -i debian/bdii/etc/bdii/bdii-slapd.conf \
	       debian/bdii/etc/bdii/bdii-top-slapd.conf

	sed "s/BDII_USER=.*/BDII_USER=openldap/" \
	    -i debian/bdii/etc/bdii/bdii.conf

	rmdir debian/bdii/var/run/bdii
	rmdir debian/bdii/var/run

	# Move bdii slapd config files out of /etc
	mkdir debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-slapd.conf debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-top-slapd.conf debian/bdii/usr/share/bdii
	ln -s ../../usr/share/bdii/bdii-slapd.conf debian/bdii/etc/bdii
	ln -s ../../usr/share/bdii/bdii-top-slapd.conf debian/bdii/etc/bdii

binary: binary-indep binary-arch

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installman
	dh_installinit
	dh_lintian
	dh_compress
	dh_fixperms -X .conf
	dh_python2
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	if [ -r ../bdii_5.2.12.orig.tar.gz ] ; then \
	  echo "bdii_5.2.12.orig.tar.gz already exists." ; \
	else \
	  if [ -d "bdii-5.2.12" ]; then \
	    echo "Please remove existing directory 'bdii-5.2.12'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_12 \
	    bdii-5.2.12 ; \
	  echo "Packing it up." ; \
	  tar -z -c -f ../bdii_5.2.12.orig.tar.gz bdii-5.2.12 ; \
	  echo "Cleaning up." ; \
	  rm -rf bdii-5.2.12 ; \
	fi

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## bdii 5.2.13

=== debian/changelog ===
bdii (5.2.13-2) unstable; urgency=low

  * Don't use recursive chown
  * Don't install files in /var

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Oct 2012 09:32:39 +0200

bdii (5.2.13-1) unstable; urgency=low

  * New upstream release
  * Use ucf to keep track of conf file changes (Closes: #687534)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Sep 2012 22:44:51 +0200

bdii (5.2.12-2) unstable; urgency=low

  * Use dpkg-maintscript-helper to remove configuration files

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 31 Jul 2012 13:34:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,11 @@
 	mkdir debian/bdii/usr/share/bdii
 	mv debian/bdii/etc/bdii/bdii-slapd.conf debian/bdii/usr/share/bdii
 	mv debian/bdii/etc/bdii/bdii-top-slapd.conf debian/bdii/usr/share/bdii
-	ln -s ../../usr/share/bdii/bdii-slapd.conf debian/bdii/etc/bdii
-	ln -s ../../usr/share/bdii/bdii-top-slapd.conf debian/bdii/etc/bdii
+
+	# Move default datafile out of /var
+	mv debian/bdii/var/lib/bdii/gip/ldif/default.ldif \
+	   debian/bdii/usr/share/bdii
+	ln -s /usr/share/bdii/default.ldif debian/bdii/var/lib/bdii/gip/ldif
 
 binary: binary-indep binary-arch
 
@@ -65,9 +68,8 @@
 	dh_install
 	dh_installman
 	dh_installinit
-	dh_lintian
 	dh_compress
-	dh_fixperms -X .conf
+	dh_fixperms
 	dh_python2
 	dh_link
 	dh_installdeb
@@ -76,20 +78,20 @@
 	dh_builddeb
 
 get-orig-source:
-	if [ -r ../bdii_5.2.12.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.12.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.13.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.13.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.12" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.12'" ; \
+	  if [ -d "bdii-5.2.13" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.13'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_12 \
-	    bdii-5.2.12 ; \
+	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_13 \
+	    bdii-5.2.13 ; \
 	  echo "Packing it up." ; \
-	  tar -z -c -f ../bdii_5.2.12.orig.tar.gz bdii-5.2.12 ; \
+	  tar -z -c -f ../bdii_5.2.13.orig.tar.gz bdii-5.2.13 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.12 ; \
+	  rm -rf bdii-5.2.13 ; \
 	fi
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## bdii 5.2.17

=== Makefile ===

NAME= $(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//' )
VERSION= $(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//' )
RELEASE= $(shell grep Release: *.spec |cut -d"%" -f1 |sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")
dist=$(shell rpm --eval '%dist' | sed 's/%dist/.el5/')
init_dir=$(shell rpm --eval '%{_initrddir}' || echo '/etc/init.d/')

default: 
	@echo "Nothing to do"

install:
	@echo installing ...
	@mkdir -p $(prefix)/usr/sbin/
	@mkdir -p $(prefix)/var/run/bdii/
	@mkdir -p $(prefix)/var/lib/bdii/gip/ldif/
	@mkdir -p $(prefix)/var/lib/bdii/gip/provider/
	@mkdir -p $(prefix)/var/lib/bdii/gip/plugin/
	@mkdir -p $(prefix)/etc/bdii/
	@mkdir -p $(prefix)/etc/sysconfig/
	@mkdir -p $(prefix)$(init_dir)/
	@mkdir -p $(prefix)/etc/logrotate.d/
	@mkdir -p $(prefix)/var/log/bdii/
	@mkdir -p $(prefix)/usr/share/man/man1

	@install -m 0755 etc/init.d/bdii      $(prefix)/${init_dir}/
	@install -m 0644 etc/sysconfig/bdii   $(prefix)/etc/sysconfig/
	@install -m 0755 bin/bdii-update      $(prefix)/usr/sbin/
	@install -m 0644 etc/bdii.conf	      $(prefix)/etc/bdii/
	@install -m 0644 etc/BDII.schema     $(prefix)/etc/bdii/
	@install -m 0640 etc/bdii-slapd.conf  $(prefix)/etc/bdii/
	@install -m 0640 etc/bdii-top-slapd.conf  $(prefix)/etc/bdii/
	@install -m 0644 etc/DB_CONFIG        $(prefix)/etc/bdii/
	@install -m 0644 etc/DB_CONFIG_top    $(prefix)/etc/bdii/
	@install -m 0644 etc/default.ldif     $(prefix)/var/lib/bdii/gip/ldif/
	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
	@install -m 0644 man/bdii-update.1        $(prefix)/usr/share/man/man1/

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".svn" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).tar.gz .

deb: dist
	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -
	# ETICS packager can't find build packages....
	mkdir $(build)/deb ; cp $(build)/*.deb $(build)/*.dsc $(build)/deb/

prepare: dist
	@mkdir -p  $(build)/RPMS/noarch
	@mkdir -p  $(build)/SRPMS/
	@mkdir -p  $(build)/SPECS/
	@mkdir -p  $(build)/SOURCES/
	@mkdir -p  $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES 

srpm: prepare
	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(NAME).spec

rpm: srpm
	rpmbuild --rebuild  --define='_topdir ${build} ' $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm

clean:
	rm -f *~ $(NAME)-$(VERSION).tar.gz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
bdii (5.2.17-1+vlt) stable; urgency=low

  * Rebuild for wheezy

 -- František Dvořák <valtri@civ.zcu.cz>  Mon, 19 Aug 2013 19:48:43 +0200

bdii (5.2.17-1) unstable; urgency=low

  * New upstream release
  * Do not start bdii service by default

 -- Anders Waananen <waananen@nbi.dk>  Fri, 22 Feb 2013 11:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: bdii
 Architecture: all
 Replaces: bdii4
-Depends: slapd, ldap-utils, glue-schema, whois, ${misc:Depends}, ${python:Depends}
+Depends: slapd, ldap-utils, glue-schema, whois, ucf, ${misc:Depends}, ${python:Depends}
 Suggests: logrotate
 Description: Berkeley Database Information Index (BDII)
  The Berkeley Database Information Index (BDII) consists of a standard

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	$(MAKE) install prefix=debian/bdii
 	mv debian/bdii/etc/init.d/bdii debian/bdii.init
 	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default
+	grep -q ^RUN debian/bdii.default || echo RUN=no >> debian/bdii.default
 
 	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
 	slapd_moduleload="moduleload      back_hdb" ; \

## bdii 5.2.20

=== debian/changelog ===
bdii (5.2.20-1) unstable; urgency=low

  * New upstream version 5.2.20

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 20:02:24 +0200

bdii (5.2.17-4) unstable; urgency=low

  * Improve purging - fixes piuparts warnings
  * Update Homepage URL

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Mar 2013 15:52:48 +0100

bdii (5.2.17-3) unstable; urgency=low

  * Add missing -p flag to mkdir in postinst script (Closes: #703171)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 18 Mar 2013 16:04:40 +0100

bdii (5.2.17-2) unstable; urgency=low

  * Depend on glue-schema >= 2.0.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 14 Mar 2013 23:12:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	$(MAKE) install prefix=debian/bdii
 	mv debian/bdii/etc/init.d/bdii debian/bdii.init
 	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default
-	grep -q ^RUN debian/bdii.default || echo RUN=no >> debian/bdii.default
 
 	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
 	slapd_moduleload="moduleload      back_hdb" ; \
@@ -79,20 +78,20 @@
 	dh_builddeb
 
 get-orig-source:
-	if [ -r ../bdii_5.2.13.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.13.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.20.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.20.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.13" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.13'" ; \
+	  if [ -d "bdii-5.2.20" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.20'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_13 \
-	    bdii-5.2.13 ; \
+	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_20 \
+	    bdii-5.2.20 ; \
 	  echo "Packing it up." ; \
-	  tar -z -c -f ../bdii_5.2.13.orig.tar.gz bdii-5.2.13 ; \
+	  tar -z -c -f ../bdii_5.2.20.orig.tar.gz bdii-5.2.20 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.13 ; \
+	  rm -rf bdii-5.2.20 ; \
 	fi
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## bdii 5.2.22

=== debian/changelog ===
bdii (5.2.22-1~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Jun 2014 11:04:19 +0200

bdii (5.2.22-1) unstable; urgency=low

  * New upstream version 5.2.22

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Sep 2013 14:56:47 +0200

bdii (5.2.21-1) unstable; urgency=low

  * New upstream version 5.2.21

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 13 Aug 2013 16:38:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -78,20 +78,20 @@
 	dh_builddeb
 
 get-orig-source:
-	if [ -r ../bdii_5.2.20.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.20.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.22.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.22.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.20" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.20'" ; \
+	  if [ -d "bdii-5.2.22" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.22'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_20 \
-	    bdii-5.2.20 ; \
+	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_22_1 \
+	    bdii-5.2.22 ; \
 	  echo "Packing it up." ; \
-	  tar -z -c -f ../bdii_5.2.20.orig.tar.gz bdii-5.2.20 ; \
+	  tar -z -c -f ../bdii_5.2.22.orig.tar.gz bdii-5.2.22 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.20 ; \
+	  rm -rf bdii-5.2.22 ; \
 	fi
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## bdii 5.2.23

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(NAME).spec
 
 rpm: srpm
-	rpmbuild --rebuild  --define='_topdir ${build} ' $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm
+	rpmbuild --rebuild  --define='_topdir ${build} ' --define="dist ${dist}" $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm
 
 clean:
 	rm -f *~ $(NAME)-$(VERSION).tar.gz

=== debian/changelog ===
bdii (5.2.23-2) unstable; urgency=medium

  * Add missing Build-Depends dh-python
  * Add missing Depends lsb-base
  * Change Maintainer e-mail (fysast → physics)
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Feb 2018 16:34:29 +0100

bdii (5.2.23-1) unstable; urgency=medium

  * New upstream version 5.2.23

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 14 Oct 2014 14:38:05 +0200

=== debian/control ===
Source: bdii
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), python, dh-python
Standards-Version: 4.1.3
Homepage: http://gridinfo.web.cern.ch/
Vcs-Browser: https://salsa.debian.org/ellert/bdii
Vcs-Git: https://salsa.debian.org/ellert/bdii.git

Package: bdii
Architecture: all
Depends: slapd, ldap-utils, glue-schema (>= 2.0.10), whois, ucf, ${misc:Depends}, ${python:Depends}, lsb-base (>= 3.0-6)
Suggests: logrotate
Description: Berkeley Database Information Index (BDII)
 The Berkeley Database Information Index (BDII) consists of a standard
 LDAP database which is updated by an external process. The update process
 obtains LDIF from a number of sources and merges them. It then compares
 this to the contents of the database and creates an LDIF file of the
 differences. This is then used to update the database.

=== debian/rules ===
--- 
+++ 
@@ -78,20 +78,20 @@
 	dh_builddeb
 
 get-orig-source:
-	if [ -r ../bdii_5.2.22.orig.tar.gz ] ; then \
-	  echo "bdii_5.2.22.orig.tar.gz already exists." ; \
+	if [ -r ../bdii_5.2.23.orig.tar.gz ] ; then \
+	  echo "bdii_5.2.23.orig.tar.gz already exists." ; \
 	else \
-	  if [ -d "bdii-5.2.22" ]; then \
-	    echo "Please remove existing directory 'bdii-5.2.22'" ; \
+	  if [ -d "bdii-5.2.23" ]; then \
+	    echo "Please remove existing directory 'bdii-5.2.23'" ; \
 	    exit -1 ; \
 	  fi ; \
 	  echo "Fetching upstream svn version" ; \
-	  svn export http://svnweb.cern.ch/guest/gridinfo/bdii/tags/R_5_2_22_1 \
-	    bdii-5.2.22 ; \
+	  svn export http://svn.cern.ch/guest/gridinfo/bdii/tags/R_5_2_23 \
+	    bdii-5.2.23 ; \
 	  echo "Packing it up." ; \
-	  tar -z -c -f ../bdii_5.2.22.orig.tar.gz bdii-5.2.22 ; \
+	  tar -z -c -f ../bdii_5.2.23.orig.tar.gz bdii-5.2.23 ; \
 	  echo "Cleaning up." ; \
-	  rm -rf bdii-5.2.22 ; \
+	  rm -rf bdii-5.2.23 ; \
 	fi
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## bdii 5.2.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 NAME= $(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//' )
 VERSION= $(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//' )
 RELEASE= $(shell grep Release: *.spec |cut -d"%" -f1 |sed 's/^[^:]*:[^0-9]*//')
@@ -7,7 +6,7 @@
 dist=$(shell rpm --eval '%dist' | sed 's/%dist/.el5/')
 init_dir=$(shell rpm --eval '%{_initrddir}' || echo '/etc/init.d/')
 
-default: 
+default:
 	@echo "Nothing to do"
 
 install:
@@ -22,6 +21,7 @@
 	@mkdir -p $(prefix)$(init_dir)/
 	@mkdir -p $(prefix)/etc/logrotate.d/
 	@mkdir -p $(prefix)/var/log/bdii/
+	@mkdir -p $(prefix)/usr/share/doc/bdii/
 	@mkdir -p $(prefix)/usr/share/man/man1
 
 	@install -m 0755 etc/init.d/bdii      $(prefix)/${init_dir}/
@@ -36,10 +36,14 @@
 	@install -m 0644 etc/default.ldif     $(prefix)/var/lib/bdii/gip/ldif/
 	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
 	@install -m 0644 man/bdii-update.1        $(prefix)/usr/share/man/man1/
+	@install -m 0644 README.md $(prefix)/usr/share/doc/bdii/
+	@install -m 0644 AUTHORS $(prefix)/usr/share/doc/bdii/
+	@install -m 0644 COPYRIGHT $(prefix)/usr/share/doc/bdii/
+	@install -m 0644 LICENSE.txt $(prefix)/usr/share/doc/bdii/
 
 dist:
 	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
-	rsync -HaS --exclude ".svn" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
+	rsync -HaS --exclude ".git" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
 	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -
 
 sources: dist
@@ -47,8 +51,6 @@
 
 deb: dist
 	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -
-	# ETICS packager can't find build packages....
-	mkdir $(build)/deb ; cp $(build)/*.deb $(build)/*.dsc $(build)/deb/
 
 prepare: dist
 	@mkdir -p  $(build)/RPMS/noarch
@@ -56,16 +58,17 @@
 	@mkdir -p  $(build)/SPECS/
 	@mkdir -p  $(build)/SOURCES/
 	@mkdir -p  $(build)/BUILD/
-	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES 
+	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES
+	cp $(NAME).spec $(build)/SPECS
 
 srpm: prepare
-	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(NAME).spec
+	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(build)/SPECS/$(NAME).spec
 
 rpm: srpm
-	rpmbuild --rebuild  --define='_topdir ${build} ' --define="dist ${dist}" $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm
+	rpmbuild --rebuild  --define='_topdir ${build}' --define="dist ${dist}" $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm
 
 clean:
 	rm -f *~ $(NAME)-$(VERSION).tar.gz
 	rm -rf $(build)
 
-.PHONY: dist srpm rpm sources clean 
+.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
bdii (5.2.25-3) unstable; urgency=medium

  * Python 3 support (from upstream pull request) (Closes: #936192)
  * Provide systemd unit files
  * Change to debhelper compat level 11 for better systemd support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 20 Sep 2019 06:27:41 +0200

bdii (5.2.25-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Jul 2019 17:02:49 +0200

bdii (5.2.25-1) unstable; urgency=medium

  * Version 5.2.25
  * Upstream project moved to github
  * Use .maintscript file for dpkg-maintscript-helper
  * Use update-rc.d defaults-disabled in maintainer scripts

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 10 Apr 2019 08:11:34 +0200

=== debian/control ===
Source: bdii
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 11),
 python3,
 dh-python
Standards-Version: 4.4.0
Homepage: https://github.com/EGI-Foundation/bdii
Vcs-Browser: https://salsa.debian.org/ellert/bdii
Vcs-Git: https://salsa.debian.org/ellert/bdii.git

Package: bdii
Architecture: all
Depends:
 slapd,
 ldap-utils,
 glue-schema (>= 2.0.10),
 whois,
 ucf,
 ${misc:Depends},
 ${python3:Depends}
Suggests: logrotate
Description: Berkeley Database Information Index (BDII)
 The Berkeley Database Information Index (BDII) consists of a standard
 LDAP database which is updated by an external process. The update process
 obtains LDIF from a number of sources and merges them. It then compares
 this to the contents of the database and creates an LDIF file of the
 differences. This is then used to update the database.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -f debian/bdii.init
	rm -f debian/bdii.default

override_dh_auto_build:

override_dh_auto_install:
	$(MAKE) install prefix=debian/bdii
	mv debian/bdii/etc/init.d/bdii debian/bdii.init
	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default

	slapd_modulepath="modulepath      /usr/lib/ldap" ; \
	slapd_moduleload="moduleload      back_hdb" ; \
	sed -e "/allow bind_v2/i$${slapd_modulepath}\n$${slapd_moduleload}" \
	    -e "s!etc/openldap/schema!etc/ldap/schema!" \
	    -i debian/bdii/etc/bdii/bdii-slapd.conf \
	       debian/bdii/etc/bdii/bdii-top-slapd.conf

	sed "s/BDII_USER=.*/BDII_USER=openldap/" \
	    -i debian/bdii/etc/bdii/bdii.conf

	rmdir debian/bdii/var/run/bdii
	rmdir debian/bdii/var/run

	rm -rf debian/bdii/usr/share/doc/bdii

	# Move bdii slapd config files out of /etc
	mkdir debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-slapd.conf debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-top-slapd.conf debian/bdii/usr/share/bdii

	# Move default datafile out of /var
	mv debian/bdii/var/lib/bdii/gip/ldif/default.ldif \
	   debian/bdii/usr/share/bdii
	ln -s /usr/share/bdii/default.ldif debian/bdii/var/lib/bdii/gip/ldif

	# Wrapper script for systemd
	install -m 755 debian/bdii-slapd-start debian/bdii/usr/share/bdii

override_dh_installinit:
	dh_installinit --no-enable

override_dh_installsystemd:
	dh_installsystemd --name bdii --no-enable
	dh_installsystemd --name bdii-slapd --no-enable

## bdii 5.2.26

=== debian/changelog ===
bdii (5.2.26-2) unstable; urgency=medium

  * Update python3 patch with changes from upstream
  * Update default paths (/var/run → /run, /var/lock → /run/lock)
  * Update HomePage tag in debian/control
  * Change to debhelper compat level 13

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 07 Feb 2022 21:28:16 +0100

bdii (5.2.26-1) unstable; urgency=medium

  * Version 5.2.26
  * Update python3 patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 02 Dec 2020 15:53:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 13),
  python3,
  dh-python
-Standards-Version: 4.4.0
-Homepage: https://github.com/EGI-Foundation/bdii
+Standards-Version: 4.6.0
+Homepage: https://github.com/EGI-Federation/bdii
 Vcs-Browser: https://salsa.debian.org/ellert/bdii
 Vcs-Git: https://salsa.debian.org/ellert/bdii.git
 
@@ -22,6 +22,8 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: logrotate
+Pre-Depends:
+ ${misc:Pre-Depends}
 Description: Berkeley Database Information Index (BDII)
  The Berkeley Database Information Index (BDII) consists of a standard
  LDAP database which is updated by an external process. The update process

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	sed "s/BDII_USER=.*/BDII_USER=openldap/" \
 	    -i debian/bdii/etc/bdii/bdii.conf
 
-	rmdir debian/bdii/var/run/bdii
-	rmdir debian/bdii/var/run
+	rmdir debian/bdii/run/bdii
+	rmdir debian/bdii/run
 
 	rm -rf debian/bdii/usr/share/doc/bdii

## bdii 6.0.0

=== Makefile ===
NAME=$(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//')
VERSION=$(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//')
RELEASE=$(shell grep Release: *.spec | cut -d"%" -f1 | sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")
dist=$(shell rpm --eval '%dist' | sed 's/%dist/.el5/')
init_dir=$(shell rpm --eval '%{_initrddir}' || echo '/etc/init.d/')

default:
	@echo "Nothing to do"

install:
	@echo installing ...
	@mkdir -p $(prefix)/usr/sbin/
	@mkdir -p $(prefix)/run/bdii/
	@mkdir -p $(prefix)/var/lib/bdii/gip/ldif/
	@mkdir -p $(prefix)/var/lib/bdii/gip/provider/
	@mkdir -p $(prefix)/var/lib/bdii/gip/plugin/
	@mkdir -p $(prefix)/etc/bdii/
	@mkdir -p $(prefix)/etc/sysconfig/
	@mkdir -p $(prefix)$(init_dir)/
	@mkdir -p $(prefix)/etc/logrotate.d/
	@mkdir -p $(prefix)/var/log/bdii/
	@mkdir -p $(prefix)/usr/share/doc/bdii/
	@mkdir -p $(prefix)/usr/share/man/man1

	@install -m 0755 etc/init.d/bdii $(prefix)/$(init_dir)/
	@install -m 0644 etc/sysconfig/bdii $(prefix)/etc/sysconfig/
	@install -m 0755 bin/bdii-update $(prefix)/usr/sbin/
	@install -m 0644 etc/bdii.conf $(prefix)/etc/bdii/
	@install -m 0644 etc/BDII.schema $(prefix)/etc/bdii/
	@install -m 0640 etc/bdii-slapd.conf $(prefix)/etc/bdii/
	@install -m 0640 etc/bdii-top-slapd.conf $(prefix)/etc/bdii/
	@install -m 0644 etc/DB_CONFIG $(prefix)/etc/bdii/
	@install -m 0644 etc/DB_CONFIG_top $(prefix)/etc/bdii/
	@install -m 0644 etc/default.ldif $(prefix)/var/lib/bdii/gip/ldif/
	@install -m 0644 etc/logrotate.d/bdii $(prefix)/etc/logrotate.d
	@install -m 0644 man/bdii-update.1 $(prefix)/usr/share/man/man1/
	@install -m 0644 README.md $(prefix)/usr/share/doc/bdii/
	@install -m 0644 AUTHORS.md $(prefix)/usr/share/doc/bdii/
	@install -m 0644 COPYRIGHT $(prefix)/usr/share/doc/bdii/
	@install -m 0644 LICENSE.txt $(prefix)/usr/share/doc/bdii/

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".git" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).tar.gz .

prepare: dist
	@mkdir -p $(build)/RPMS/noarch
	@mkdir -p $(build)/SRPMS/
	@mkdir -p $(build)/SPECS/
	@mkdir -p $(build)/SOURCES/
	@mkdir -p $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES
	cp $(NAME).spec $(build)/SPECS

srpm: prepare
	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(build)/SPECS/$(NAME).spec

rpm: srpm
	rpmbuild --rebuild  --define='_topdir ${build}' --define="dist ${dist}" $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)$(dist).src.rpm

clean:
	rm -f *~ $(NAME)-$(VERSION).tar.gz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
bdii (6.0.0-1) unstable; urgency=medium

  * Version 6.0.0
  * Drop previously backported patches
  * Use systemd unit files from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Dec 2022 18:10:49 +0100

bdii (5.2.26-3) unstable; urgency=medium

  * Use mdb slapd backend
  * Remove obsolete maintscript entries

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 04 Dec 2022 10:51:44 +0100

bdii (5.2.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 13),
  python3,
  dh-python
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/EGI-Federation/bdii
 Vcs-Browser: https://salsa.debian.org/ellert/bdii
 Vcs-Git: https://salsa.debian.org/ellert/bdii.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -f debian/bdii.init
	rm -f debian/bdii.default
	rm -f debian/bdii.service
	rm -f debian/bdii-slapd.service

override_dh_auto_build:

override_dh_auto_install:
	$(MAKE) install prefix=debian/bdii
	mv debian/bdii/etc/init.d/bdii debian/bdii.init
	mv debian/bdii/etc/sysconfig/bdii debian/bdii.default

	rmdir debian/bdii/etc/sysconfig
	rmdir debian/bdii/run/bdii
	rmdir debian/bdii/run

	rm -rf debian/bdii/usr/share/doc/bdii

	# Move bdii slapd config files out of /etc
	mkdir debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-slapd.conf debian/bdii/usr/share/bdii
	mv debian/bdii/etc/bdii/bdii-top-slapd.conf debian/bdii/usr/share/bdii

	# Move default datafile out of /var
	mv debian/bdii/var/lib/bdii/gip/ldif/default.ldif \
	   debian/bdii/usr/share/bdii
	ln -s /usr/share/bdii/default.ldif debian/bdii/var/lib/bdii/gip/ldif

	# Wrapper script for systemd
	install -m 755 etc/systemd/bdii-slapd-start debian/bdii/usr/share/bdii
	install -m 644 etc/systemd/bdii.service debian
	install -m 644 etc/systemd/bdii-slapd.service debian

override_dh_installinit:
	dh_installinit --no-enable

override_dh_installsystemd:
	dh_installsystemd --name bdii --no-enable
	dh_installsystemd --name bdii-slapd --no-enable
